# creat libraries
vlib work

#move to directory work to be similar to HDL Designer env.
cd work

#copy modelsim.ini to here
vmap  -c

# map libraries
vmap  work          ../work
vmap  MODGEN_SITAL  ../work
vmap  bus_tester    ../work
vmap  builds        ../work

# compile source VHDLs
vcom -reportprogress 300 -just p -work work   ../RTL_SRC/*.vhd
vcom -reportprogress 300 -just b -work work   ../RTL_SRC/*.vhd
vcom -reportprogress 300 -just e -work work   ../RTL_SRC/*.vhd
vcom -reportprogress 300 -just a -work work   ../RTL_SRC/*.vhd

# compile TB VHDLs
vcom -reportprogress 300 -just p -work work   ../TB_SRC/*.vhd
vcom -reportprogress 300 -just b -work work   ../TB_SRC/*.vhd
vcom -reportprogress 300 -just e -work work   ../TB_SRC/*.vhd
vcom -reportprogress 300 -just a -work work   ../TB_SRC/*.vhd

# load simulation
vsim -novopt -t ps work.TB_BRM1553D_ver8_3_100Mhz_limited

#Log everything
add log -r /*

#show the mux bus lines
add wave -noupdate -format Logic /mux*
add wave -noupdate -format Literal /TA_data
add wave -noupdate -format Literal /RA_data
add wave -noupdate -format Literal /TB_data
add wave -noupdate -format Literal /RB_data
add wave -noupdate -format Literal /address
add wave -noupdate -format Logic /cpu_cs
add wave -noupdate -format Literal /data
add wave -noupdate -format Logic /interrupt
add wave -noupdate -format Logic /mem_nreg
add wave -noupdate -format Logic /resetn
add wave -noupdate -format Logic /wr
add wave -noupdate -format Logic /clock

# run until the break command.
run -all


